GET api/ProductionLot/GetProductionLotDetailsById?productionLotId={productionLotId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
productionLotId

integer

Required

Body Parameters

None.

Response Information

Resource Description

ProductionLotDto
NameDescriptionTypeAdditional information
FarmingSystemTypes

FarmingSystemTypes

None.

CertificateType

CertificationType

None.

ImplantDate

date

None.

ProductionYear

integer

None.

ImplantLength

decimal number

None.

ImplantWidth

decimal number

None.

NumberOfPlants

integer

None.

Lat

decimal number single precision

None.

Lng

decimal number single precision

None.

OccupiedArea

decimal number

None.

WorkedArea

decimal number

None.

StartdateOfFlowering

date

None.

EnddateOfFlowering

date

None.

StartDateOfHarvesting

date

None.

ExpectedProduction

decimal number

None.

Disciplinary

string

None.

id

integer

None.

CreatedOnDate

date

None.

name

string

None.

displayName

string

None.

productGrownId

integer

None.

productGrownName

string

None.

productGrownCodeValue

string

None.

productGrownColor

string

None.

speciesId

integer

None.

speciesName

string

None.

landId

integer

None.

landName

string

None.

productiveUnitId

integer

None.

productiveUnitName

string

None.

landCodeValue

string

None.

landHectarage

decimal number

None.

SeasonYear

integer

None.

SeasonStartDate

date

None.

SeasonEndDate

date

None.

SeasonState

ProductionLotState

None.

UnitOfMeasureId

integer

None.

UnitOfMeasureAcronym

string

None.

UnitOfMeasureName

string

None.

UnitOfMeasureCategory

string

None.

Coordinates

Collection of LatLng

None.

Response Formats

application/json, text/json

Sample:
{
  "FarmingSystemTypes": 0,
  "CertificateType": 0,
  "ImplantDate": "2026-06-22T08:16:13.1013358+02:00",
  "ProductionYear": 1,
  "ImplantLength": 1.0,
  "ImplantWidth": 1.0,
  "NumberOfPlants": 1,
  "Lat": 1.1,
  "Lng": 1.1,
  "OccupiedArea": 1.0,
  "WorkedArea": 2.0,
  "StartdateOfFlowering": "2026-06-22T08:16:13.1013358+02:00",
  "EnddateOfFlowering": "2026-06-22T08:16:13.1013358+02:00",
  "StartDateOfHarvesting": "2026-06-22T08:16:13.1013358+02:00",
  "ExpectedProduction": 1.0,
  "Disciplinary": "sample string 3",
  "id": 4,
  "CreatedOnDate": "2026-06-22T08:16:13.1013358+02:00",
  "name": "sample string 6",
  "displayName": "sample string 6 - sample string 12 - sample string 8",
  "productGrownId": 7,
  "productGrownName": "sample string 8",
  "productGrownCodeValue": "sample string 9",
  "productGrownColor": "sample string 10",
  "speciesId": 11,
  "speciesName": "sample string 12",
  "landId": 13,
  "landName": "sample string 14",
  "productiveUnitId": 1,
  "productiveUnitName": "sample string 15",
  "landCodeValue": "sample string 16",
  "landHectarage": 17.0,
  "SeasonYear": 18,
  "SeasonStartDate": "2026-06-22T08:16:13.1013358+02:00",
  "SeasonEndDate": "2026-06-22T08:16:13.1013358+02:00",
  "SeasonState": 0,
  "UnitOfMeasureId": 19,
  "UnitOfMeasureAcronym": "sample string 20",
  "UnitOfMeasureName": "sample string 21",
  "UnitOfMeasureCategory": "sample string 22",
  "Coordinates": []
}

application/xml, text/xml

Sample:
<ProductionLotDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/tocode.Plugin.ApiServices.DTO.ProductionLot">
  <Coordinates />
  <CreatedOnDate>2026-06-22T08:16:13.1013358+02:00</CreatedOnDate>
  <Id>4</Id>
  <LandCodeValue>sample string 16</LandCodeValue>
  <LandHectarage>17</LandHectarage>
  <LandId>13</LandId>
  <LandName>sample string 14</LandName>
  <Name>sample string 6</Name>
  <OccupiedArea>0</OccupiedArea>
  <ProductGrownCodeValue>sample string 9</ProductGrownCodeValue>
  <ProductGrownColor>sample string 10</ProductGrownColor>
  <ProductGrownId>7</ProductGrownId>
  <ProductGrownName>sample string 8</ProductGrownName>
  <ProductiveUnitId>1</ProductiveUnitId>
  <ProductiveUnitName>sample string 15</ProductiveUnitName>
  <SeasonEndDate>2026-06-22T08:16:13.1013358+02:00</SeasonEndDate>
  <SeasonStartDate>2026-06-22T08:16:13.1013358+02:00</SeasonStartDate>
  <SeasonState>Open</SeasonState>
  <SeasonYear>18</SeasonYear>
  <SpeciesId>11</SpeciesId>
  <SpeciesName>sample string 12</SpeciesName>
  <UnitOfMeasureAcronym>sample string 20</UnitOfMeasureAcronym>
  <UnitOfMeasureCategory>sample string 22</UnitOfMeasureCategory>
  <UnitOfMeasureId>19</UnitOfMeasureId>
  <UnitOfMeasureName>sample string 21</UnitOfMeasureName>
  <CertificateType>None</CertificateType>
  <Disciplinary>sample string 3</Disciplinary>
  <EnddateOfFlowering>2026-06-22T08:16:13.1013358+02:00</EnddateOfFlowering>
  <ExpectedProduction>1</ExpectedProduction>
  <FarmingSystemTypes>Conventional</FarmingSystemTypes>
  <ImplantDate>2026-06-22T08:16:13.1013358+02:00</ImplantDate>
  <ImplantLength>1</ImplantLength>
  <ImplantWidth>1</ImplantWidth>
  <Lat>1.1</Lat>
  <Lng>1.1</Lng>
  <NumberOfPlants>1</NumberOfPlants>
  <OccupiedArea>1</OccupiedArea>
  <ProductionYear>1</ProductionYear>
  <StartDateOfHarvesting>2026-06-22T08:16:13.1013358+02:00</StartDateOfHarvesting>
  <StartdateOfFlowering>2026-06-22T08:16:13.1013358+02:00</StartdateOfFlowering>
  <WorkedArea>2</WorkedArea>
</ProductionLotDto>